<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:ooo="http://openoffice.org/2004/office" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:presentation="urn:oasis:names:tc:opendocument:xmlns:presentation:1.0" xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0" xmlns:java="http://xml.apache.org/xslt/java" xmlns:of="scpf.org:office" xmlns:xalan="http://xml.apache.org/xalan" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0" xmlns:svg="http://www.w3.org/2000/svg" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0" xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0" xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0" xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:ooow="http://openoffice.org/2004/writer" xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:xlink="http://www.w3.org/1999/xlink" exclude-result-prefixes="oooc dom xsd fo office ooo xsi sc presentation number java of xalan sl text sp table xforms scodPp svg draw script dr3d form meta style math ooow chart xlink dc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" method="xml" indent="no" omit-xml-declaration="yes"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="idRootAgt" select="getIdNode(ancestor-or-self::of:head[1])"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="of:head"><xsl:comment># sm:WTable</xsl:comment><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:name="WTable" table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/@table:style-name}">
				<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable name="vTmpColCount" select="java:com.scenari.s.fw.utils.HDouble.new()"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-column"><xsl:variable name="vNbColRepeated" select="if(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[1&gt;=@min and 1&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
				<xsl:choose><xsl:when test="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')"><xsl:variable name="vColStyle"><xsl:variable name="vColDom"><xsl:variable name="vTmpColCount" select="java:com.scenari.s.fw.utils.HDouble.new()"/><cols><xsl:for-each select="getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-column"><xsl:variable name="vNbColRepeated" select="if(@table:number-columns-repeated, @table:number-columns-repeated - 1, 0)"/><col style="{@table:style-name}"><xsl:attribute name="min"><xsl:value-of select="java:hIncreaseOne($vTmpColCount)"/></xsl:attribute><xsl:value-of select="java:hSet($vTmpColCount, java:hGet($vTmpColCount)+$vNbColRepeated)"/><xsl:attribute name="max"><xsl:value-of select="java:hGet($vTmpColCount)"/></xsl:attribute></col></xsl:for-each></cols></xsl:variable><xsl:value-of select="xalan:nodeset($vColDom)/*/col[2&gt;=@min and 2&lt;=@max][1]/@style"/></xsl:variable><table:table-column table:style-name="{normalize-space($vColStyle)}"/></xsl:when><xsl:otherwise><table:table-column/></xsl:otherwise></xsl:choose>
			
			<table:table-row table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/@table:style-name}">
				<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/table:table-cell[1]/@table:style-name}"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__Names')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
						<xsl:for-each select="sp:givenName">
							<xsl:value-of select="."/>
							<xsl:text> </xsl:text>
						</xsl:for-each>
						<xsl:for-each select="sp:familyName">
							<xsl:value-of select="."/>
						</xsl:for-each>
					</xsl:element></scodPp:ifNotNull><xsl:choose>
						<xsl:when test="sp:birthdate"><xsl:choose>
								<xsl:when test="sp:nationality"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:birthdate">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:nationality">
											<xsl:text>, </xsl:text>
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull></xsl:when>
								<xsl:otherwise>
									<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:birthdate">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:nationality">
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull>
								</xsl:otherwise>
							</xsl:choose></xsl:when>
						<xsl:otherwise>
							<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__2ndline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
								<xsl:for-each select="sp:birthdate">
									<xsl:value-of select="."/>
								</xsl:for-each>
								<xsl:for-each select="sp:nationality">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</xsl:element></scodPp:ifNotNull>
						</xsl:otherwise>
					</xsl:choose><xsl:choose>
						<xsl:when test="sp:maritalStatus"><xsl:choose>
								<xsl:when test="sp:driverLicense"><xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:maritalStatus">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:driverLicense">
											<xsl:text>, </xsl:text>
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull></xsl:when>
								<xsl:otherwise>
									<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
										<xsl:for-each select="sp:maritalStatus">
											<xsl:value-of select="."/>
										</xsl:for-each>
										<xsl:for-each select="sp:driverLicense">
											<xsl:value-of select="."/>
										</xsl:for-each>
									</xsl:element></scodPp:ifNotNull>
								</xsl:otherwise>
							</xsl:choose></xsl:when>
						<xsl:otherwise>
							<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__moreline')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
								<xsl:for-each select="sp:maritalStatus">
									<xsl:value-of select="."/>
								</xsl:for-each>
								<xsl:for-each select="sp:driverLicense">
									<xsl:value-of select="."/>
								</xsl:for-each>
							</xsl:element></scodPp:ifNotNull>
						</xsl:otherwise>
					</xsl:choose><xsl:for-each select="sp:pmail">
						<xsl:variable name="vPathAgentN96"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable><xsl:value-of select="computeStrAgent(concat($vPathAgentN96, '', '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each><xsl:for-each select="sp:phone">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__phone')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:choose>
								<xsl:when test="sp:phoneType"><xsl:for-each select="sp:phoneType">
										<xsl:choose xmlns:xsl="http://www.w3.org/1999/XSL/Transform"><xsl:when test="self::sp:phoneType/text()='mobile'">Mobile</xsl:when><xsl:when test="self::sp:phoneType/text()='home'">Home</xsl:when><xsl:when test="self::sp:phoneType/text()='office'">Professional</xsl:when><xsl:when test="true()"><xsl:value-of select="."/></xsl:when></xsl:choose>
									</xsl:for-each><xsl:text>: </xsl:text></xsl:when>
								<xsl:otherwise/>
							</xsl:choose>
							<xsl:for-each select="sp:phoneNumber">
								<xsl:value-of select="."/>
							</xsl:for-each>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each><xsl:for-each select="sp:email">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__email')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<text:a xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xlink:type="simple"><xsl:attribute name="xlink:href"><xsl:text>mailto:</xsl:text><xsl:value-of select="."/></xsl:attribute><xsl:value-of select="."/></text:a>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each><xsl:for-each select="sp:website">
						<xsl:comment># sm:WParagraph</xsl:comment><scodPp:ifNotNull xmlns:scodPp="scenari.eu:openDocumentExtension.postprocessing:1.0"><xsl:element name="text:p"><xsl:attribute name="text:style-name"><xsl:value-of select="returnFirst(getEntryBuffer('odStyleBlocks', 'of_head__website')/@text:style-name, getEntryBuffer('odStyleBlocks', 'odTemplateText_#defaultStyle')/text:p/@text:style-name)"/></xsl:attribute>
							<xsl:value-of select="."/>
						</xsl:element></scodPp:ifNotNull>
					</xsl:for-each></table:table-cell>
				<table:table-cell table:style-name="{getEntryBuffer('odStyleBlocks', 'of_head__cvHeadTable')/table:table/table:table-row[1]/table:table-cell[2]/@table:style-name}"><xsl:for-each select="sp:photo">
						
							<xsl:value-of select="computeStrAgent(concat('@', getIdFromPath(@sc:refUri), '_Ainline', '/getContent'))" disable-output-escaping="yes"/>
						
					</xsl:for-each></table:table-cell>
			</table:table-row>
		</table:table></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/></xsl:stylesheet>